> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Subscriptions

> Admin: all webhook subscriptions for the tenant.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/webhooks
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/webhooks:
    get:
      tags:
        - admin:webhooks
      summary: List Subscriptions
      description: 'Admin: all webhook subscriptions for the tenant.'
      operationId: list_subscriptions_api_v1_admin_webhooks_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_WebhookSubscriptionOut__'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_list_WebhookSubscriptionOut__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/WebhookSubscriptionOut'
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[WebhookSubscriptionOut]]
    WebhookSubscriptionOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        url:
          type: string
          title: Url
        events:
          items:
            type: string
          type: array
          title: Events
        is_active:
          type: boolean
          title: Is Active
        secret_last_four:
          type: string
          title: Secret Last Four
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - url
        - events
        - is_active
        - secret_last_four
        - created_at
        - updated_at
      title: WebhookSubscriptionOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````